package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;

@Entity //@Audited
@Table(name = "PapKategoriMata_T")
@JsonIgnoreProperties({"hibernateLazyInitializer", "handler"})
public class PapKategoriMata extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "kategoriKlinikMataFk")
	@NotNull(message = "kategoriKlinikMata tidak boleh kosong")
	private KategoriKlinikMata kategoriKlinikMata ;
	
	@Column(name = "kategoriKlinikMataFk", insertable = false, updatable = false)
	private Integer kategoriKlinikMataFkId;
	
	@ManyToOne
	@JoinColumn(name = "PapMataFk", nullable=true)	
	private PapMata papMata;
	
	@Column(name = "PapMataFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String papMataId;
	
	@Column(name = "keterangan", nullable = true)
	private String keterangan;

	public KategoriKlinikMata getKategoriKlinikMata() {
		return kategoriKlinikMata;
	}

	public void setKategoriKlinikMata(KategoriKlinikMata kategoriKlinikMata) {
		this.kategoriKlinikMata = kategoriKlinikMata;
	}

	public Integer getKategoriKlinikMataFkId() {
		return kategoriKlinikMataFkId;
	}

	public void setKategoriKlinikMataFkId(Integer kategoriKlinikMataFkId) {
		this.kategoriKlinikMataFkId = kategoriKlinikMataFkId;
	}

	public PapMata getPapMata() {
		return papMata;
	}

	public void setPapMata(PapMata papMata) {
		this.papMata = papMata;
	}

	public String getPapMataId() {
		return papMataId;
	}

	public void setPapMataId(String papMataId) {
		this.papMataId = papMataId;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

}
